Name:           perl-Unix-Statgrab
Version:        0.04
Release:        25.1%{?dist}
Summary:        Perl extension for collecting information about the machine
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Unix-Statgrab/
Source0:        http://www.cpan.org/authors/id/V/VP/VPARSEVAL/Unix-Statgrab-%{version}.tar.gz
Patch0:			Unix-Statgrab-0.04-fixedtest.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libstatgrab-devel >= 0.12
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Unix::Statgrab is a wrapper for libstatgrab as available from
<http://www.i-scream.org/libstatgrab/>. It is a reasonably portable attempt
to query interesting stats about your computer. It covers information on the
operating system, CPU, memory usage, network interfaces, hard-disks etc. 

%prep
%setup -q -n Unix-Statgrab-%{version}
%patch0 -p1 -b .fixedtest

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Unix*
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-25.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 05 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.04-24.1
- Perl 5.22 rebuild

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.04-23.1
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-22.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-21.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Aug 14 2013 Oliver Falk <oliver@linux-kernel.at> - 0.04-20.1
- Rebuild for new libstatgrab

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 20 2013 Petr Pisar <ppisar@redhat.com> - 0.04-19
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 06 2012 Oliver Falk <oliver@linux-kernel.at> - 0.04-17
- Remove segfaulting tests

* Mon Aug 06 2012 Oliver Falk <oliver@linux-kernel.at> - 0.04-16
- Rebuilt for Perl 5.16

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 12 2012 Petr Pisar <ppisar@redhat.com> - 0.04-14
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.04-12
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 27 2011 Oliver Falk <oliver@linux-kernel.at> - 0.04-10
- Rebuild with new perl-5.12.3

* Thu Dec 23 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.04-9
- 661697 rebuild for fixing problems with vendorach/lib

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.04-8
- Mass rebuild with perl-5.12.0

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.04-7
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.04-4
Rebuild for new perl

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.04-3
- Autorebuild for GCC 4.3

* Tue Apr 17 2007 Steven Pritchard <steve@kspei.com> 0.04-2
- BR ExtUtils::MakeMaker.
- Reformat to more closely resemble cpanspec output.
- Use fixperms macro instead of our own chmod incantation.
- Remove some macro other usage.

* Tue Sep 26 2006 Steven Pritchard <steve@kspei.com> 0.04-1
- Update to 0.04.
- Drop compile fix patch.
- Fix find option order.

* Wed Aug 24 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.03-7
- Try if Ralf's %files section works

* Wed Aug 24 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.03-6
- Again

* Wed Aug 24 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.03-5
- Fix filelist

* Tue Aug 23 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.03-4
- Bug #165533, thanks to Paul Howarth

* Wed Aug 10 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.03-3
- Add compile fix, since libstatgrab 0.12 API changes dup to
  duplex

* Wed Aug 10 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.03-2
- Cleanup specfile
- Try to make it ready for FE

* Mon May 09 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.03-1.2
- Rebuild

* Wed Apr 13 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.03-1.1
- Remove the pkgname define

* Wed Apr 13 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.03-1
- Update

* Tue Feb 15 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.02-1
- Initial build for Fedora Core
- Used cpan2rpm for initial specfile

# vim: ts=4 sw=4
